AbstractArtifactManager (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractArtifactManager

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractArtifactManager

All Implemented Interfaces:
  ArtifactManager

    public abstract class AbstractArtifactManager
    extends Object

Base implementation of the `ArtifactManager` interface.

Authors:
  Andres Almiray

Since:
  0.9.2

Field Summary
`private static Pattern` | `GET_METHOD_PATTERN`
`private static Pattern` | `IS_METHOD_PATTERN`
`private static org.slf4j.Logger` | `LOG`
`private static Pattern` | `PROPERTY_PATTERN`
`private GriffonApplication` | `app`
`private Map` | `artifactHandlers`
`private Map` | `artifacts`
`private Object` | `lock`

Constructor Summary
`AbstractArtifactManager(GriffonApplication app)`

Method Summary
`protected Map` | `doLoadArtifactMetadata()`
`GriffonClass` | `findGriffonClass(String name, String type)`
`GriffonClass` | `findGriffonClass(Class clazz, String type)`
`GriffonClass` | `findGriffonClass(Object obj)`
`GriffonClass` | `findGriffonClass(Class clazz)`
`GriffonClass` | `findGriffonClass(String fqnClassName)`
`List` | `getAllClasses()`
`GriffonApplication` | `getApp()`
`protected Map` | `getArtifactHandlers()`
`protected Map` | `getArtifacts()`
`List` | `getClassesOfType(String type)`
`protected boolean` | `isClassOfType(String type, Class clazz)`
`void` | `loadArtifactMetadata()`
`Object` | `methodMissing(String methodName, Object args)` Adds dynamic handlers for querying artifact classes.
`Object` | `propertyMissing(String propertyName)` Adds dynamic handlers for querying artifact classes.
`void` | `registerArtifactHandler(ArtifactHandler handler)`
`void` | `unregisterArtifactHandler(ArtifactHandler handler)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### GET_METHOD_PATTERN

    private static final Pattern GET_METHOD_PATTERN

### IS_METHOD_PATTERN

    private static final Pattern IS_METHOD_PATTERN

### LOG

    private static final org.slf4j.Logger LOG

### PROPERTY_PATTERN

    private static final Pattern PROPERTY_PATTERN

### app

    private final GriffonApplication app

### artifactHandlers

    private final Map artifactHandlers

### artifacts

    private final Map artifacts

### lock

    private final Object lock

Constructor Detail

### AbstractArtifactManager

    public AbstractArtifactManager(GriffonApplication app)

Method Detail

### doLoadArtifactMetadata

    protected Map doLoadArtifactMetadata()

### findGriffonClass

    public GriffonClass findGriffonClass(String name, String type)

### findGriffonClass

    public GriffonClass findGriffonClass(Class clazz, String type)

### findGriffonClass

    public GriffonClass findGriffonClass(Object obj)

### findGriffonClass

    public GriffonClass findGriffonClass(Class clazz)

### findGriffonClass

    public GriffonClass findGriffonClass(String fqnClassName)

### getAllClasses

    public List getAllClasses()

### getApp

    public GriffonApplication getApp()

### getArtifactHandlers

    protected Map getArtifactHandlers()

### getArtifacts

    protected Map getArtifacts()

### getClassesOfType

    public List getClassesOfType(String type)

### isClassOfType

    protected boolean isClassOfType(String type, Class clazz)

### loadArtifactMetadata

    public final void loadArtifactMetadata()

### methodMissing

    public Object methodMissing(String methodName, Object args)

  Adds dynamic handlers for querying artifact classes.

  The following patterns are recognized

  - getXXXClasses
  - isXXXClass
  where `XXX` stands for the name of an artifact, like "Controller" or "Service".

### propertyMissing

    public Object propertyMissing(String propertyName)

  Adds dynamic handlers for querying artifact classes.

  The following patterns are recognized

  - xXXClasses
  where `xXX` stands for the name of an artifact, like "controller" or "service".

### registerArtifactHandler

    public void registerArtifactHandler(ArtifactHandler handler)

### unregisterArtifactHandler

    public void unregisterArtifactHandler(ArtifactHandler handler)

Groovy Documentation